# Demo Code
from contextlib import suppress

from listeners import OnClientConnect
from messages import SayText2

import geoip2.errors
from geoip2sp import get_geoinfo_from_ip

@OnClientConnect
def on_client_connect(allow_connect_ptr, player_index, player_name, ip_port, reject_msg_ptr, max_reject_length):
	ip = ip_port.split(":")[0]
	with suppress(geoip2.errors.AddressNotFoundError):
		location_obj = get_geoinfo_from_ip(ip)
		specific_place = ", {0}".format(location_obj.subdivisions.most_specific.name) if location_obj.subdivisions.most_specific.name else ""
		message = "\x04{0}\x01 connected from\x04 {1}{2}".format(player_name, location_obj.country.name, specific_place)
		SayText2(message=message).send()
		print(message)